## cine-encoder 3.5.2+git20220108

=== debian/changelog ===
cine-encoder (3.5.2+git20220108-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Build depends add debhelper-compat.
  * Removed incorrect entry of "2021 "18 Nov 2021"" from cine-encoder.1.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 25 Jan 2022 22:21:56 -0500

cine-encoder (3.5.2) groovy; urgency=medium

  * Initial release

 -- Oleg Kozhukharenko <depositmail@rambler.ru>  Thu, 18 Nov 2021 20:00:00 +0530
