=== debian/control ===
Source: cine-encoder
Section: video
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Oleg Kozhukharenko <depositmail@rambler.ru>
Build-Depends:	debhelper-compat (= 13),
                qt5-qmake,
                qtbase5-dev,
                qtbase5-dev-tools,
                qtmultimedia5-dev,
                libmediainfo-dev
Standards-Version: 4.5.0
Homepage: https://github.com/CineEncoder/cine-encoder

Package: cine-encoder
Architecture: any
Depends:	${misc:Depends},
            ${shlibs:Depends},
            ffmpeg,
            mkvtoolnix
Description: Cine Encoder 2021 ver 3.5
 Cine Encoder is an application, uses the FFmpeg, MKVToolNix and MediaInfo
 utilities, that allows to convert media files while preserving HDR metadata.
 Supported hardware encoding NVENC and Intel QSV (for Windows and experimental
 for Linux). The following encoding modes are implemented: H265, H264, VP9,
 MPEG-2, XDCAM, XAVC, DNxHR, ProRes.
 Licence: GNU GPL v.3
