## cine-encoder 3.5.5

=== debian/changelog ===
cine-encoder (3.5.5-1~mx25) mx; urgency=medium

  * Import new upstream release.
  * Add i965-va-driver as suggested package, cmake and libxext-dev as BDs.
  * Modernize d/rules and simplify the build-deps, since some pull in others.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Nov 2025 15:39:05 -0800
