=== debian/watch ===
version=3
https://github.com/CineEncoder/cine-encoder/tags .*/archive/[a-z](\d\S*)\.tar\.gz
